audience.consent.revoke
curl --request POST \
--url https://platform.trylath.com/audience/consent/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"source": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
topic: '<string>',
source: '<string>'
})
};
fetch('https://platform.trylath.com/audience/consent/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/consent/revoke"
payload = {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/consent/revoke"
payload := strings.NewReader("{\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"topic\": \"<string>\",\n \"source\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "email",
"topic": "<string>",
"status": "revoked"
}
}audience.consent.revoke
Records that a contact opted out of a channel and topic. Appends to the history; the previous grant is not erased.
POST
/
audience
/
consent
/
revoke
audience.consent.revoke
curl --request POST \
--url https://platform.trylath.com/audience/consent/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"source": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
topic: '<string>',
source: '<string>'
})
};
fetch('https://platform.trylath.com/audience/consent/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/consent/revoke"
payload = {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/consent/revoke"
payload := strings.NewReader("{\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"topic\": \"<string>\",\n \"source\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "email",
"topic": "<string>",
"status": "revoked"
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
email, sms Pattern:
^[a-z0-9][a-z0-9_-]{0,63}$Required string length:
1 - 200Last modified on September 13, 2026
Was this page helpful?

